ランタイム: Mix::Graphics::ITexture Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::ITexture Class Referenceabstract

テクスチャインターフェース More...

`#include <ITexture.h>`

Inheritance diagram for Mix::Graphics::ITexture:
[legend]
Collaboration diagram for Mix::Graphics::ITexture:
[legend]

## Classes

struct | LOCK
| ロック構造体 More...

## Public Types

enum | DIMENSION_TYPE { DIMENSION_PLANE = 0, DIMENSION_VOLUME = 1, DIMENSION_CUBE = 2 }
| ディメンジョンタイプ列挙定数 More...
enum | BIND_TYPE { BIND_DEFAULT = 0, BIND_TARGET = 1, BIND_DEPTH = 2 }
| バインドタイプ列挙定数 More...
enum | ACCESS_FLAG { ACCESS_CPU_READ = 0x00000001, ACCESS_CPU_WRITE = 0x00000002, ACCESS_GPU_READ = 0x00000004, ACCESS_GPU_WRITE = 0x00000008 }
| アクセスフラグ列挙定数 More...
Public Types inherited from Mix::Graphics::IDeviceObject
enum | TYPE { VERTEX_LAYOUT = 0, COMPUTE_SHADER = 1, HULL_SHADER = 2, DOMAIN_SHADER = 3, GEOMETRY_SHADER = 4, VERTEX_SHADER = 5, PIXEL_SHADER = 6, SHADER_CONSTANT = 7, VERTEX_BUFFER = 8, INDEX_BUFFER = 9, TEXTURE = 10, QUERY = 11 }
| タイプ列挙定数 More...

## Public Member Functions

virtual Mix::Graphics::ITexture::DIMENSION_TYPE | GetDimensionType (void) const =0
| ディメンジョンタイプを取得します More...
virtual Mix::Graphics::ITexture::BIND_TYPE | GetBindType (void) const =0
| バインドタイプを取得します More...
virtual UInt32 | GetAccessFlags (void) const =0
| アクセスのフラグを取得します More...
virtual UInt32 | GetWidth (void) const =0
| 幅を取得します More...
virtual UInt32 | GetHeight (void) const =0
| 高さを取得します More...
virtual Mix::Graphics::FORMAT | GetFormat (void) const =0
| フォーマットを取得します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
virtual Boolean | Lock (Mix::Graphics::ITexture::LOCK &lock)=0
| ロックして、読み込み または 書き込みができる状態にします More...
virtual void | Unlock (void)=0
| ロックを解除します。 More...
Public Member Functions inherited from Mix::Graphics::IDeviceObject
virtual Mix::Graphics::IDeviceObject::TYPE | GetType (void) const =0
| タイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ITexture (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Graphics::IDeviceObject
virtual | ~IDeviceObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

テクスチャインターフェース

## Member Enumeration Documentation

enum Mix::Graphics::ITexture::DIMENSION_TYPE

ディメンジョンタイプ列挙定数

Enumerator
DIMENSION_PLANE | プレーン ( 2D )
DIMENSION_VOLUME | ボリューム ( 3D )
DIMENSION_CUBE | キューブ

enum Mix::Graphics::ITexture::BIND_TYPE

バインドタイプ列挙定数

Enumerator

BIND_DEFAULT

デフォルト

Note
  Mix::Graphics::IDevice::SetTexture で設定することができます。

BIND_TARGET

ターゲット

Note
  Mix::Graphics::IDevice::SetTarget で設定することができます。

BIND_DEPTH

デプス

Note
  Mix::Graphics::IDevice::SetTarget で設定することができます。

enum Mix::Graphics::ITexture::ACCESS_FLAG

アクセスフラグ列挙定数

Enumerator

ACCESS_CPU_READ

CPU による読み取りができます

See also
  Mix::Graphics::ITexture::Lock

ACCESS_CPU_WRITE

CPU による書き込みができます

See also
  Mix::Graphics::ITexture::Lock

ACCESS_GPU_READ | GPU による読み取りができます
ACCESS_GPU_WRITE | GPU による書き込みができます

## Constructor & Destructor Documentation

virtual Mix::Graphics::ITexture::~ITexture | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Graphics::ITexture::DIMENSION_TYPE Mix::Graphics::ITexture::GetDimensionType | ( | void |  | ) | const

pure virtual

ディメンジョンタイプを取得します

Returns
  ディメンジョンタイプを表す Mix::Graphics::ITexture::DIMENSION_TYPE を返します

virtual Mix::Graphics::ITexture::BIND_TYPE Mix::Graphics::ITexture::GetBindType | ( | void |  | ) | const

pure virtual

バインドタイプを取得します

Returns
  バインドタイプを表す Mix::Graphics::ITexture::BIND_TYPE を返します

virtual UInt32 Mix::Graphics::ITexture::GetAccessFlags | ( | void |  | ) | const

pure virtual

アクセスのフラグを取得します

Returns
  アクセスのフラグを表す Mix::Graphics::ITexture::ACCESS_FLAG の組み合わせを返します

virtual UInt32 Mix::Graphics::ITexture::GetWidth | ( | void |  | ) | const

pure virtual

幅を取得します

Returns
  幅を返します

virtual UInt32 Mix::Graphics::ITexture::GetHeight | ( | void |  | ) | const

pure virtual

高さを取得します

Returns
  高さを返します

virtual Mix::Graphics::FORMAT Mix::Graphics::ITexture::GetFormat | ( | void |  | ) | const

pure virtual

フォーマットを取得します

Returns
  フォーマットを表す Mix::Graphics::FORMAT 列挙定数を返します

virtual const wchar_t* Mix::Graphics::ITexture::GetFilePath | ( | void |  | ) | const

pure virtual

ファイルパスを取得します

Returns
  ファイルパスを返します

Note
  ファイル、もしくわメモリ上のファイルから作成している場合のみ有効です。
  それ以外の場合は、空の文字列を返します。

virtual Boolean Mix::Graphics::ITexture::Lock | ( | Mix::Graphics::ITexture::LOCK & | lock | ) |

pure virtual

ロックして、読み込み または 書き込みができる状態にします

Parameters

  [out] | lock | ロックを表す Mix::Graphics::ITexture::LOCK 構造体

Returns
  成功した場合は True を返します

Note
  このメソッドが成功するのは CPU による読み込みが可能な Mix::Graphics::ITexture::ACCESS_CPU_READ
  CPU による書き込みが可能な Mix::Graphics::ITexture::ACCESS_CPU_WRITE のどちらかが Mix::Graphics::ITexture::GetAccessFlags で指定されている場合に限ります。

virtual void Mix::Graphics::ITexture::Unlock | ( | void |  | ) |

pure virtual

ロックを解除します。

The documentation for this class was generated from the following file:

- Mix/Graphics/ITexture.h